# class HTTP::Cookie

- HTTP::Cookie
- Reference
- Object

## Overview

Represents a cookie with all its attributes. Provides convenient access and modification of them.

## Defined in:

## Constructors

- .new(name : String, value : String, path : String = "/", expires : Time? = nil, domain : String? = nil, secure : Bool = false, http_only : Bool = false, extension : String? = nil)

## Instance Method Summary

- #==(other : self)
- #domain : String?
- #domain=(domain : String?)
- #expired?
- #expires : Time?
- #expires=(expires : Time?)
- #extension : String?
- #extension=(extension : String?)
- #hash(hasher)
- #http_only : Bool
- #http_only=(http_only : Bool)
- #name : String
- #name=(name : String)
- #path : String
- #path=(path : String)
- #secure : Bool
- #secure=(secure : Bool)
- #to_cookie_header
- #to_set_cookie_header
- #value : String
- #value=(value : String)

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO)
inspect inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s
to_s(io : IO) to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(name : String, value : String, path : String = "/", expires : Time? = nil, domain : String? = nil, secure : Bool = false, http_only : Bool = false, extension : String? = nil) #

## Instance Method Detail

def ==(other : self) #
def domain : String? #
def domain=(domain : String?) #
def expired? #
def expires : Time? #
def expires=(expires : Time?) #
def extension : String? #
def extension=(extension : String?) #
def hash(hasher) #
def http_only : Bool #
def http_only=(http_only : Bool) #
def name : String #
def name=(name : String) #
def path : String #
def path=(path : String) #
def secure : Bool #
def secure=(secure : Bool) #
def to_cookie_header #
def to_set_cookie_header #
def value : String #
def value=(value : String) #